summaryrefslogtreecommitdiffstats
path: root/krusader.SlackBuild
diff options
context:
space:
mode:
authortpearson <tpearson@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2010-02-22 18:58:28 +0000
committertpearson <tpearson@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2010-02-22 18:58:28 +0000
commit83b9bf0e3bfb1d842b10b80bbe749095b2c661a1 (patch)
treeb05b1793361693ae88106648c2a953bed988f423 /krusader.SlackBuild
downloadkrusader-83b9bf0e3bfb1d842b10b80bbe749095b2c661a1.tar.gz
krusader-83b9bf0e3bfb1d842b10b80bbe749095b2c661a1.zip
Added old KDE3 version of Krusader
git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/applications/krusader@1094427 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'krusader.SlackBuild')
-rwxr-xr-xkrusader.SlackBuild134
1 files changed, 134 insertions, 0 deletions
diff --git a/krusader.SlackBuild b/krusader.SlackBuild
new file mode 100755
index 0000000..fb8bfaa
--- /dev/null
+++ b/krusader.SlackBuild
@@ -0,0 +1,134 @@
+#!/bin/sh
+# Slackware build script for krusader: http://krusader.sourceforge.net
+#
+# Copyright 2006-2007 Matías A. Fonzo, <selkfoster@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/pkgs}
+
+VERSION=1.80.0
+ARCH=${ARCH:-i486}
+BUILD=1
+
+if [ -z "$SLKCFLAGS" ]; then
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ fi
+fi
+
+# Number of jobs to compile at once:
+if [ -z "$NUMJOBS" ]; then
+ NUMJOBS=-j5
+fi
+
+# Avoid a version number in .la files:
+if [ -d /usr/lib/qt ]; then
+ QTDIR=/usr/lib/qt
+fi
+
+PKG=$TMP/package-krusader
+rm -rf $PKG
+mkdir -p $PKG
+
+cd $TMP
+rm -rf krusader-$VERSION
+echo "Building krusader-$VERSION.tar.gz..."
+tar xvfz $CWD/krusader-$VERSION.tar.gz || exit 1
+cd krusader-$VERSION
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc/kde \
+ --mandir=/usr/man \
+ --disable-debug \
+ --program-prefix="" \
+ --program-suffix="" \
+ --build=$ARCH-slackware-linux
+
+# Build and install:
+make $NUMJOBS || exit 1
+make install DESTDIR=$PKG
+
+# Strip binaries and libraries:
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Compress and link manpages:
+( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $(find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.*
+ )
+ done
+)
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/krusader-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README FAQ TODO CVSNEWS krusader.lsm doc/actions_tutorial.txt \
+ $PKG/usr/doc/krusader-$VERSION
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+makepkg -l y -c n $TMP/krusader-$VERSION-$ARCH-$BUILD.tgz
+
+# Final touches:
+( cd $TMP ; cat $PKG/install/slack-desc | grep "^krusader:" > krusader-$VERSION-$ARCH-$BUILD.txt )
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" -o "$1" = "-c" ]; then
+ rm -rf $TMP/krusader-$VERSION
+ rm -rf $PKG
+fi